/* -------------------------------------------------------------------------
 * $Id: IColorTable.java 120 2015-01-19 14:00:13Z lbeigbeder $
 * Origin  : GFI INFORMATIQUE
 * Project : 3Dview IMPEx
 * -------------------------------------------------------------------------
 * HISTORY
 * VERSION : 26/11/2013 : LBE
 * V1.1
 * VERSION : 24/01/2013 : LBE
 * Set min and max added
 * END-HISTORY
 * -------------------------------------------------------------------------
 */
package org.fxyz3d.scene.paint;

 
import java.awt.Color;


/**
 * A color table interface.
 * 
 * @author lbeigbed
 * @version 1.0
 */
public interface IColorTable {
    Color getColor(double pValue);
    double getMin();
    void setMin(double pMin);
    double getMax();
    void setMax(double pMax);
//    String getUnit();
//    void setUnit(String pUnit);
}
